Subject: bug#36313: 12.1.2; percent symbol in \url{}

From: Ryo Furue <[email-masked]>
Date: Fri, 28 Jun 2019 12:26:47 +0900

Hi Arash,

Thank you for your kind comments!

On Fri, Jun 28, 2019 at 4:32 AM Arash Esbati <[email-masked]> wrote:

> Does this sentence makes more sense:
>
>     If you want to make AUCTeX aware of used LaTeX package in a document
>     and multi-file documents right away, insert the following in your
>     .emacs file.
>
> If so, we should clarify it.
>

I've found your rewrite somewhat more informative than the original.

Thinking more about this issue, I would argue that TeX-parse-self should be
set to t by default, because

Do the right thing (DTRT) by default
and optimize, if it's slow.

Although I'm not at all professional, I do write little software as part of
my job, and the above is what I always do.  (Perhaps it would be hard to
scan the LaTeX directory tree once for index search?)

Just my two cents.

Cheers,
Ryo